type: log
paths:
{{ range $i, $path := .paths }}
 - {{$path}}
{{ end }}
exclude_files: [".gz$"]

multiline:
  pattern: '^(\[?[0-9]{4}-[0-9]{2}-[0-9]{2}|{)'
  negate: true
  match: after

processors:
# Locale for time zone is only needed in non-json logs
- add_locale.when.not.regexp.message: "^{"
- add_fields:
    target: ''
    fields:
      ecs.version: 1.12.0
